Kwalitee Issues

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: Audio-LADSPA-0.021/Plugin/Plugin.pod -- Around line 191: alternative text '/is_sample_rate' contains non-escaped | or /Around line 202: alternative text '/is_sample_rate' contains non-escaped | or /

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Audio::Play

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Audio::LADSPA, Audio::LADSPA::Buffer, Audio::LADSPA::Library, Audio::LADSPA::LibraryLoader, Audio::LADSPA::Network, Audio::LADSPA::Plugin, Audio::LADSPA::Plugin::Perl, Audio::LADSPA::Plugin::Play, Audio::LADSPA::Plugin::Sequencer4, Audio::LADSPA::Plugin::XS

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Audio::LADSPA Modular audio processing using LADSPA plugins. Implements a LADSPA 1.1 host. 0.021 metacpan
Audio::LADSPA::Buffer 0.021 metacpan
Audio::LADSPA::Library 0.021 metacpan
Audio::LADSPA::LibraryLoader 0.021 metacpan
Audio::LADSPA::Network Semi automatic connection of Audio::LADSPA::* objects 0.021 metacpan
Audio::LADSPA::Plugin 0.021 metacpan
Audio::LADSPA::Plugin::Perl Perl representation of ladspa plugins 0.021 metacpan
Audio::LADSPA::Plugin::Play Audio::LADSPA glue to Audio::Play 0.021 metacpan
Audio::LADSPA::Plugin::Sequencer4 Really simple 4-step sequencer 0.021 metacpan
Audio::LADSPA::Plugin::XS XS representation of ladspa plugins 0.021 metacpan

Provides

Name File View
Audio::LADSPA::Library::Perl Library/Library.pm metacpan

Other Files

Buffer/Makefile.PL metacpan
Library/Makefile.PL metacpan
LibraryLoader/Makefile.PL metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
Network/Makefile.PL metacpan
Perl/Makefile.PL metacpan
Play/Makefile.PL metacpan
Plugin/Makefile.PL metacpan
README metacpan
Sequencer4/Makefile.PL metacpan
UserGuide/Makefile.PL metacpan
XS/Makefile.PL metacpan